import { DevtoolsMessage } from "../user-explorer/message/message";
import TransceiverImpl from "../user-explorer/message/transceiver";
export default class MessageChannelManager {
    private transceiver;
    constructor(transceiver: TransceiverImpl);
    static connectTo(iframe: HTMLIFrameElement, path: string): Promise<MessageChannelManager | undefined>;
    addMessageListener<T extends DevtoolsMessage>(messageFilter: (message: unknown) => message is T, listener: () => any): void;
    applyChannel(channel: (transceiver: TransceiverImpl) => void): void;
    close(): void;
}
